OSS Insight Docs
APICollections

GETRepository ranking by prs

Collections

Rank the GitHub repositories in the specified collection according to the number of pull requests.

Parameters

Prop

Type

Usage

cURL
curl --request GET \  --url 'https://api.ossinsight.io/v1/collections/2/ranking_by_prs/?period=past_28_days' \  --header 'Accept: application/json'
Python
import requestsresponse = requests.get(    "https://api.ossinsight.io/v1/collections/2/ranking_by_prs/?period=past_28_days",    headers={"Accept": "application/json"},    timeout=30,)response.raise_for_status()data = response.json()print(data)
TypeScript
const response = await fetch("https://api.ossinsight.io/v1/collections/2/ranking_by_prs/?period=past_28_days", {  method: "GET",  headers: {    Accept: "application/json",  },});if (!response.ok) {  throw new Error(`Request failed: ${response.status}`);}const data = await response.json();console.log(data);